columns:
  code:
    type: text
  column_name:
    type: text
    default: "''::character varying"
  description:
    type: text
    default: "''::text"
  dimension_date:
    type: character(1)
    default: "''::bpchar"
  dimension_date_1:
    type: character(1)
    default: "'0'::bpchar"
  dimension_date_2:
    type: character(1)
    default: "''::bpchar"
  dimension_date_3:
    type: character(1)
    default: "''::bpchar"
  dimension_date_4:
    type: character(1)
    default: "''::bpchar"
  dimension_date_5:
    type: character(1)
    default: "''::bpchar"
  entete:
    type: character varying(255)
  entete_etendue:
    type: character varying(255)
  indicateur_associe_10_id:
    type: bigint
    default: "0"
  indicateur_associe_11_id:
    type: bigint
    default: "0"
  indicateur_associe_12_id:
    type: bigint
    default: "0"
  indicateur_associe_13_id:
    type: bigint
    default: "0"
  indicateur_associe_14_id:
    type: bigint
    default: "0"
  indicateur_associe_15_id:
    type: bigint
    default: "0"
  indicateur_associe_16_id:
    type: bigint
    default: "0"
  indicateur_associe_17_id:
    type: bigint
    default: "0"
  indicateur_associe_18_id:
    type: bigint
    default: "0"
  indicateur_associe_19_id:
    type: bigint
    default: "0"
  indicateur_associe_1_id:
    type: bigint
    default: "0"
  indicateur_associe_20_id:
    type: bigint
    default: "0"
  indicateur_associe_2_id:
    type: bigint
    default: "0"
  indicateur_associe_3_id:
    type: bigint
    default: "0"
  indicateur_associe_4_id:
    type: bigint
    default: "0"
  indicateur_associe_5_id:
    type: bigint
    default: "0"
  indicateur_associe_6_id:
    type: bigint
    default: "0"
  indicateur_associe_7_id:
    type: bigint
    default: "0"
  indicateur_associe_8_id:
    type: bigint
    default: "0"
  indicateur_associe_9_id:
    type: bigint
    default: "0"
  indicateur_reference_id:
    type: bigint
    default: "0"
  indicateur_template_id:
    type: bigint
    default: "0"
  is_cti:
    type: character(1)
    default: "0"
  is_hide:
    type: character(1)
  is_template:
    type: text
    default: "'0'::text"
  last_error:
    type: text
    default: "''::text"
  oid:
    type: bigint
    not_null: NOT NULL
    default: "nextval('s_indicateurs'::regclass)"
  output_format:
    type: character varying(10)
    default: "'#'::character varying"
  table_name:
    type: character varying(255)
  texte:
    type: character varying(255)
  theme_id:
    type: 'bigint[]'
  total_function:
    type: text
    default: "'sum'::character varying"
  variable_definition:
    type: 'text[]'
  variable_value:
    type: 'text[]'
  variable_value_text:
    type: 'text[]'
  width:
    type: numeric(3,0)
    default: "0"
constraints:
  t_indicateurs_pkey:
    type: PRIMARY KEY
    column: oid
indexes:
  i_indicateurs_0:
    column: code
    method: btree
  i_indicateurs_1:
    column: indicateur_associe_1_id
    method: btree
  i_indicateurs_10:
    column: indicateur_associe_10_id
    method: btree
  i_indicateurs_11:
    column: indicateur_associe_11_id
    method: btree
  i_indicateurs_12:
    column: indicateur_associe_12_id
    method: btree
  i_indicateurs_13:
    column: indicateur_associe_13_id
    method: btree
  i_indicateurs_14:
    column: indicateur_associe_14_id
    method: btree
  i_indicateurs_15:
    column: indicateur_associe_15_id
    method: btree
  i_indicateurs_16:
    column: indicateur_associe_16_id
    method: btree
  i_indicateurs_17:
    column: indicateur_associe_17_id
    method: btree
  i_indicateurs_18:
    column: indicateur_associe_18_id
    method: btree
  i_indicateurs_19:
    column: indicateur_associe_19_id
    method: btree
  i_indicateurs_2:
    column: indicateur_associe_2_id
    method: btree
  i_indicateurs_20:
    column: indicateur_associe_20_id
    method: btree
  i_indicateurs_3:
    column: indicateur_associe_3_id
    method: btree
  i_indicateurs_4:
    column: indicateur_associe_4_id
    method: btree
  i_indicateurs_5:
    column: indicateur_associe_5_id
    method: btree
  i_indicateurs_6:
    column: indicateur_associe_6_id
    method: btree
  i_indicateurs_7:
    column: indicateur_associe_7_id
    method: btree
  i_indicateurs_8:
    column: indicateur_associe_8_id
    method: btree
  i_indicateurs_9:
    column: indicateur_associe_9_id
    method: btree